### File

`packages/eui/packages/components-next/src/lib/components/eui-list/eui-list-item/eui-list-item.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `[euiListItem], eui-list-item`
styleUrls | `../styles/_index.scss`
templateUrl | `./eui-list-item.component.html`

### Index

###### Properties
_isCollapsed _isCollapsible euiIconComponent euiLabelComponent euiListComponent
###### Methods
Public toggleCollapse
###### Inputs
isCollapsed isCollapsible
###### HostBindings
class
###### Accessors
isCollapsible isCollapsed

### Constructor

`constructor(euiListService: EuiListService)`
Parameters :
Name | Type | Optional
euiListService | `EuiListService` | No

### Inputs

isCollapsed

isCollapsible

### HostBindings

class

### Methods

Public toggleCollapse
`toggleCollapse(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

_isCollapsed
Default value : `true`

_isCollapsible
Default value : `false`

euiIconComponent
Type : `QueryList<EuiIconComponent>`
Decorators : `@ContentChildren(undefined)`

euiLabelComponent
Type : `QueryList<EuiLabelComponent>`
Decorators : `@ContentChildren(undefined)`

euiListComponent
Type : `QueryList<EuiListComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

isCollapsible
set `isCollapsible(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isCollapsed
set `isCollapsed(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""